# -*- coding: utf-8 -*-

#No external dependencies here. These are just plain python functions,
#ready to use in any program.

def flatten(lst):
    """Take a nested list of any depth and make it a flat, plain
    list with only one level"""
    for elem in lst:
        if type(elem) in (tuple, list):
            for i in flatten(elem):
                yield i
        else:
            yield elem

def num2word(n):
    """Take a number, return a str.
    Lilypond does not allow numbers in variable names"""
    return ''.join(chr(ord(c)+17) for c in str(n))
